#include "dialogemergengy.h"
#include "ui_dialogemergengy.h"

DialogEmergengy::DialogEmergengy(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::DialogEmergengy)
{
    setAttribute(Qt::WA_TranslucentBackground);
    //setWindowFlags(Qt::CustomizeWindowHint);
    //setWindowFlags(Qt::FramelessWindowHint | Qt::Dialog);// | Qt::Popup);
    setWindowFlags(Qt::FramelessWindowHint | Qt::Popup);

    ui->setupUi(this);

    ui->comboBox_Sex->addItem("Male");
    ui->comboBox_Sex->addItem("Female");
    ui->comboBox_Sex->addItem("Other");
}

DialogEmergengy::~DialogEmergengy()
{
    delete ui;
}


QString DialogEmergengy::GetPatientID()
{
    return ui->plainTextEdit_PatientID->toPlainText();
}

QString DialogEmergengy::GetPatientName()
{
    return ui->plainTextEdit_PatientName->toPlainText();
}

QString DialogEmergengy::GetPatientBirthDate()
{
    return ui->plainTextEdit_PatientBirthDate->toPlainText();
}

QString DialogEmergengy::GetPatientSex()
{
    return ui->comboBox_Sex->currentText();

}

void DialogEmergengy::on_pushButton_Add_clicked()
{
    done(QDialog::Accepted);
}

void DialogEmergengy::on_pushButton_Cancel_clicked()
{
    done(QDialog::Rejected);
}


void DialogEmergengy::reject()
{
    return;
}
